summaryrefslogtreecommitdiffstats
path: root/src/cmd
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2016-01-17 12:05:29 (EST)
committer P. J. McDermott <pj@pehjota.net>2016-01-17 12:05:29 (EST)
commit5caa31726d2c68ddc7541d6a725d3ed51cd6aa1a (patch)
tree650610b75cd5c4ecc77099f42206d3fb3393b21a /src/cmd
parent1ec9ffe260004941733855b9d1accfb8db60c227 (diff)
cmd/installer-pc, block_mount): Check ret val of check_block()
Diffstat (limited to 'src/cmd')
-rw-r--r--src/cmd/installer-pc.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/installer-pc.sh b/src/cmd/installer-pc.sh
index 76112d2..b513f26 100644
--- a/src/cmd/installer-pc.sh
+++ b/src/cmd/installer-pc.sh
@@ -52,7 +52,9 @@ cmd_installer_pc_main()
suite="${1}"
dev="${2}"
- check_block "${dev}"
+ if ! check_block "${dev}"; then
+ return 2
+ fi
if [ "x${suite%%:*}" != "x${suite}" ]; then
profile="${suite%%:*}"